﻿#region Copyright PwC SDC 2012
//
// All rights are reserved. Reproduction or transmission in whole or in part, in
// any form or by any means, electronic, mechanical or otherwise, is prohibited
// without the prior written consent of the copyright owner.
// Created By: ulu001
// Created Date: 10 30 2012
// Modification history:
//
#endregion
using System;
using System.Windows.Interactivity;
using Telerik.Windows.Controls.GridView;
using Telerik.Windows.Controls;
using System.Collections.Generic;
using System.Collections.ObjectModel;

namespace SilverlightApplication27
{

    public class LoadBehavior : Behavior<ExtendedRadTreeListView>
    {

        /// <summary>
        /// Triggers calls when attached.
        /// </summary>
        protected override void OnAttached()
        {
            base.OnAttached();
            this.AssociatedObject.DataLoaded += new System.EventHandler<System.EventArgs>(AssociatedObject_DataLoaded);
            this.AssociatedObject.Loaded +=new System.Windows.RoutedEventHandler(AssociatedObject_Loaded);
        }
        void AssociatedObject_DataLoaded(object sender, System.EventArgs e)
        {
            this.AssociatedObject.DataLoaded -= new System.EventHandler<System.EventArgs>(AssociatedObject_DataLoaded);
            ExtendedRadTreeListView t = sender as ExtendedRadTreeListView;
            if (t != null)
            {

                ObservableCollection<FolderViewModel> f = t.ItemsSource as ObservableCollection<FolderViewModel>;
                foreach (var item in f)
                {
                    foreach (var item2 in t.Columns)
                    {
                        GridViewComboBoxColumn combobox = item2 as GridViewComboBoxColumn;
                        if (combobox!=null)
                        {
                           // combobox.ItemsSourceBinding = new 
                        }
                    }
                }
            }
            this.AssociatedObject.DataLoading += new EventHandler<GridViewDataLoadingEventArgs>(AssociatedObject_DataLoading);
        }
        void AssociatedObject_DataLoading(object sender, System.EventArgs e)
        {
            this.AssociatedObject.DataLoading -= new System.EventHandler<GridViewDataLoadingEventArgs>(AssociatedObject_DataLoading);
            this.AssociatedObject.DataLoaded += new System.EventHandler<System.EventArgs>(AssociatedObject_DataLoaded);
        }

        void AssociatedObject_Loaded(object sender, System.EventArgs e)
        {
            this.AssociatedObject.Loaded -= new System.Windows.RoutedEventHandler(AssociatedObject_Loaded);
        }
        /// <summary>
        /// Triggers calls when detached.
        /// </summary>
        protected override void OnDetaching()
        {
            base.OnDetaching();
        }
    }
}